Package org.eclipse.swt.ole.win32

# Interface OleListener

public interface OleListener
Implementers of `OleListener` provide a simple `handleEvent()` method that is used internally by SWT to dispatch events.

After creating an instance of a class that implements this interface it can be added to an `OleControlSite` using the `addEventListener()` method and removed using the `removeEventListener()` method. When the specified event occurs, `handleEvent()` will be sent to the instance.

See Also:
  - `OleControlSite`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleEvent(OleEvent event)`
Sent when an event that the receiver has registered for occurs.

## Method Details

### handleEvent

void handleEvent(OleEvent event)
Sent when an event that the receiver has registered for occurs.

Parameters:
  `event` - the event which occurred